Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftMidiAudioFileReader

    java.lang.Object
      javax.sound.sampled.spi.AudioFileReader
          com.sun.media.sound.SoftMidiAudioFileReader

    public class SoftMidiAudioFileReader

extends javax.sound.sampled.spi.AudioFileReader

MIDI File Audio Renderer/Reader

Author:
  Karl Helgason

Field Summary
`static javax.sound.sampled.AudioFileFormat.Type` | `MIDI`

Constructor Summary
`SoftMidiAudioFileReader()`

Method Summary
`javax.sound.sampled.AudioFileFormat` | `getAudioFileFormat(java.io.File file)`
`javax.sound.sampled.AudioFileFormat` | `getAudioFileFormat(java.io.InputStream inputstream)`
`javax.sound.sampled.AudioFileFormat` | `getAudioFileFormat(javax.sound.midi.Sequence seq)`
`javax.sound.sampled.AudioFileFormat` | `getAudioFileFormat(java.net.URL url)`
`javax.sound.sampled.AudioInputStream` | `getAudioInputStream(java.io.File file)`
`javax.sound.sampled.AudioInputStream` | `getAudioInputStream(java.io.InputStream inputstream)`
`javax.sound.sampled.AudioInputStream` | `getAudioInputStream(javax.sound.midi.Sequence seq)`
`javax.sound.sampled.AudioInputStream` | `getAudioInputStream(java.net.URL url)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIDI

    public static final javax.sound.sampled.AudioFileFormat.Type MIDI

Constructor Detail

### SoftMidiAudioFileReader

    public SoftMidiAudioFileReader()

Method Detail

### getAudioFileFormat

    public javax.sound.sampled.AudioFileFormat getAudioFileFormat(javax.sound.midi.Sequence seq)
                                                           throws javax.sound.sampled.UnsupportedAudioFileException,
                                                                  java.io.IOException

  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getAudioInputStream

    public javax.sound.sampled.AudioInputStream getAudioInputStream(javax.sound.midi.Sequence seq)
                                                             throws javax.sound.sampled.UnsupportedAudioFileException,
                                                                    java.io.IOException

  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getAudioInputStream

    public javax.sound.sampled.AudioInputStream getAudioInputStream(java.io.InputStream inputstream)
                                                             throws javax.sound.sampled.UnsupportedAudioFileException,
                                                                    java.io.IOException

  Specified by:
    `getAudioInputStream` in class `javax.sound.sampled.spi.AudioFileReader`
  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getAudioFileFormat

    public javax.sound.sampled.AudioFileFormat getAudioFileFormat(java.net.URL url)
                                                           throws javax.sound.sampled.UnsupportedAudioFileException,
                                                                  java.io.IOException

  Specified by:
    `getAudioFileFormat` in class `javax.sound.sampled.spi.AudioFileReader`
  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getAudioFileFormat

    public javax.sound.sampled.AudioFileFormat getAudioFileFormat(java.io.File file)
                                                           throws javax.sound.sampled.UnsupportedAudioFileException,
                                                                  java.io.IOException

  Specified by:
    `getAudioFileFormat` in class `javax.sound.sampled.spi.AudioFileReader`
  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getAudioInputStream

    public javax.sound.sampled.AudioInputStream getAudioInputStream(java.net.URL url)
                                                             throws javax.sound.sampled.UnsupportedAudioFileException,
                                                                    java.io.IOException

  Specified by:
    `getAudioInputStream` in class `javax.sound.sampled.spi.AudioFileReader`
  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getAudioInputStream

    public javax.sound.sampled.AudioInputStream getAudioInputStream(java.io.File file)
                                                             throws javax.sound.sampled.UnsupportedAudioFileException,
                                                                    java.io.IOException

  Specified by:
    `getAudioInputStream` in class `javax.sound.sampled.spi.AudioFileReader`
  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

### getAudioFileFormat

    public javax.sound.sampled.AudioFileFormat getAudioFileFormat(java.io.InputStream inputstream)
                                                           throws javax.sound.sampled.UnsupportedAudioFileException,
                                                                  java.io.IOException

  Specified by:
    `getAudioFileFormat` in class `javax.sound.sampled.spi.AudioFileReader`
  Throws:
    `javax.sound.sampled.UnsupportedAudioFileException`
    `java.io.IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD